org.springframework.cloud.dataflow.core

## Class StreamDefinitionServiceUtils

- java.lang.Object
- - org.springframework.cloud.dataflow.core.StreamDefinitionServiceUtils

-     public class StreamDefinitionServiceUtils
      extends Object

  Utility class serving operations related to the `StreamDefinition`s.
  Author:
    Ilayaperumal Gopinathan, Christian Tzolov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamDefinitionServiceUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterator<StreamAppDefinition>` | `getDeploymentOrderIterator(LinkedList<StreamAppDefinition> streamAppDefinitions)` Return an iterator that indicates the order of application deployments for this stream.
    `static LinkedList<StreamAppDefinition>` | `sanitizeStreamAppDefinitions(LinkedList<StreamAppDefinition> streamAppDefinitions)` Redacts sensitive property values in a stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamDefinitionServiceUtils

          public StreamDefinitionServiceUtils()

  - ### Method Detail

    - #### sanitizeStreamAppDefinitions

          public static LinkedList<StreamAppDefinition> sanitizeStreamAppDefinitions(LinkedList<StreamAppDefinition> streamAppDefinitions)

      Redacts sensitive property values in a stream.
      Parameters:
        `streamAppDefinitions` - the `StreamAppDefinition`s of the given stream
      Returns:
        the list of `StreamAppDefinition`s with the sensitive data redacted.

    - #### getDeploymentOrderIterator

          public static Iterator<StreamAppDefinition> getDeploymentOrderIterator(LinkedList<StreamAppDefinition> streamAppDefinitions)

      Return an iterator that indicates the order of application deployments for this stream. The application definitions are returned in reverse order; i.e. the sink is returned first followed by the processors in reverse order followed by the source.
      Returns:
        iterator that iterates over the application definitions in deployment order

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.